Bug 227852 - Lack of debugging information in logs - support issue
Summary: Lack of debugging information in logs - support issue
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: conga   
(Show other bugs)
Version: 5.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Ryan McCabe
QA Contact: Corey Marthaler
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-08 16:09 UTC by Len DiMaggio
Modified: 2009-04-16 22:42 UTC (History)
5 users (show)

Fixed In Version: RHSA-2007-0640
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 15:37:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0640 normal SHIPPED_LIVE Moderate: conga security, bug fix, and enhancement update 2007-11-08 14:19:24 UTC

Description Len DiMaggio 2007-02-08 16:09:11 UTC
Description of problem:
Lack of debugging information in logs - support issue

This issue came up in debugging a problem on Xen guests (still outstanding)
where cluster creation failed due to the cman package not being downloaded and
installed by Conga as part of the cluster creation.

The issue is that no error related to the failed download was written to:

/var/lib/luci/log/event.log (even if the zope server is set to debug mode)
/var/log/messages (even if syslog is set to log debug level messages)

I'm looking at the problem now - but we need to add more detailed logging for
these failures.

Version-Release number of selected component (if applicable):
luci-0.8-30.el5
ricci-0.8-30.el5

How reproducible:
On the test configuration that I'm using, 100%

Steps to Reproduce:
1. Create a cluster in the test configuration that I'm using - observe the
cluster fail to be created.

Actual results:
The cluster is not created.

Expected results:
Some errors logged.

Additional info:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=225782

Comment 1 RHEL Product and Program Management 2007-03-21 22:07:29 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 2 Kiersten (Kerri) Anderson 2007-04-23 17:04:32 UTC
Fixing Product Name.  Cluster Suite was merged into Enterprise Linux for version
5.0.

Comment 3 Ryan McCabe 2007-06-26 21:39:07 UTC
By default, important errors are logged to syslog (AUTHPRIV/LOG_INFO).
Additional debugging can be turned on and will log all errors using LOG_DEBUG
and, optionally, all network traffic between ricci and luci, if desired.

Comment 6 errata-xmlrpc 2007-11-07 15:37:09 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0640.html



Note You need to log in before you can comment on or make changes to this bug.